io.swagger.client.model

## Class UserInput

- java.lang.Object
- - io.swagger.client.model.UserInput

-     public class UserInput
      extends Object

  UserInput

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `UserInput()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `UserInput` | `emailAddress(String emailAddress)`
    `boolean` | `equals(Object o)`
    `UserInput` | `externalID(String externalID)`
    `UserInput` | `firstName(String firstName)`
    `String` | `getEmailAddress()` Get emailAddress
    `String` | `getExternalID()` Get externalID
    `String` | `getFirstName()` Get firstName
    `String` | `getLastName()` Get lastName
    `int` | `hashCode()`
    `UserInput` | `lastName(String lastName)`
    `void` | `setEmailAddress(String emailAddress)`
    `void` | `setExternalID(String externalID)`
    `void` | `setFirstName(String firstName)`
    `void` | `setLastName(String lastName)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### UserInput

          public UserInput()

  - ### Method Detail

    - #### externalID

          public UserInput externalID(String externalID)

    - #### getExternalID

          public String getExternalID()

      Get externalID
      Returns:
        externalID

    - #### setExternalID

          public void setExternalID(String externalID)

    - #### firstName

          public UserInput firstName(String firstName)

    - #### getFirstName

          public String getFirstName()

      Get firstName
      Returns:
        firstName

    - #### setFirstName

          public void setFirstName(String firstName)

    - #### lastName

          public UserInput lastName(String lastName)

    - #### getLastName

          public String getLastName()

      Get lastName
      Returns:
        lastName

    - #### setLastName

          public void setLastName(String lastName)

    - #### emailAddress

          public UserInput emailAddress(String emailAddress)

    - #### getEmailAddress

          public String getEmailAddress()

      Get emailAddress
      Returns:
        emailAddress

    - #### setEmailAddress

          public void setEmailAddress(String emailAddress)

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2018. All rights reserved.